summaryrefslogtreecommitdiffstats
path: root/maven/projects/joal-main/pom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'maven/projects/joal-main/pom.sh')
-rwxr-xr-xmaven/projects/joal-main/pom.sh67
1 files changed, 67 insertions, 0 deletions
diff --git a/maven/projects/joal-main/pom.sh b/maven/projects/joal-main/pom.sh
new file mode 100755
index 0000000..4a8dd94
--- /dev/null
+++ b/maven/projects/joal-main/pom.sh
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version project+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PLATFORMS="$@"
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by joal-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.joal</groupId>
+ <artifactId>joal-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOAL</name>
+ <description>Java™ Binding for the OpenAL® API</description>
+ <url>http://jogamp.org/joal/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on joal, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>joal</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>joal</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../joal/pom.in || exit 1
+cat <<EOF
+</project>
+EOF